package com.hai.service;

import com.hai.entity.HighBrand;
import com.hai.entity.HighOrderPre;

import java.util.List;
import java.util.Map;

public interface HighBrandService {

    /**
     * @Author Sum1Dream
     * @Description // 查询接口
     * @Date 15:18 2021/6/11
     * @Param [map]
     * @return java.util.List<com.hai.entity.HighBrand>
     **/
    List<HighBrand> getListBand(Map<String , String> map);

    /**
     * @Author Sum1Dream
     * @Description // 根据订单ID查询订单
     * @Date 15:19 2021/6/11
     * @Param [id]
     * @return com.hai.entity.HighBrand
     **/
    HighBrand findByOrderId(Integer id);


    /***
     * @Author Sum1Dream
     * @Description // 新增订单
     * @Date 15:25 2021/6/11
     * @Param [HighOrderPre]
     * @return void
     **/
    void insertBrand(HighBrand highBrand);

    /***
     * @Author Sum1Dream
     * @Description // 修改订单
     * @Date 15:26 2021/6/11
     * @Param [highBrand]
     * @return void
     **/
    void updateBrand(HighBrand highBrand);

}
